Debian Bug report logs - #685524
After upgrading to 4:4.8.2+dfsg-1 kwin segfaults on startup

version graph

Package: qt4-x11; Maintainer for qt4-x11 is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>;

Reported by: Arto Jantunen <viiru@debian.org>

Date: Tue, 21 Aug 2012 15:54:01 UTC

Severity: grave

Found in versions 4:4.8.2+dfsg-1, qt4-x11/4:4.8.2+dfsg-3

Fixed in versions qt4-x11/4:4.8.2+dfsg-2, qt4-x11/4:4.8.2+dfsg-4

Done: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#685524; Package qt4-x11. (Tue, 21 Aug 2012 15:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arto Jantunen <viiru@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 21 Aug 2012 15:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Arto Jantunen <viiru@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: After upgrading to 4:4.8.2+dfsg-1 kwin segfaults on startup
Date: Tue, 21 Aug 2012 18:49:57 +0300
Package: qt4-x11
Version: 4:4.8.2+dfsg-1
Severity: grave

Starting KDE with qt4 version 4:4.8.2+dfsg-1 installed causes kwin to segfault
on startup somewhere in libpthread, with 4:4.8.2-2+b1 everything works as
expected.

I'll see if I can generate a proper backtrace..

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.6.0-rc2 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#685524; Package qt4-x11. (Tue, 21 Aug 2012 16:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 21 Aug 2012 16:21:09 GMT) Full text and rfc822 format available.

Message #10 received at 685524@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
To: 685524-submitter@bugs.debian.org, 685524@bugs.debian.org
Subject: Re: Bug#685524: After upgrading to 4:4.8.2+dfsg-1 kwin segfaults on startup
Date: Tue, 21 Aug 2012 13:07:08 -0300
[Message part 1 (text/plain, inline)]
Control: tag -1 unreproducible moreinfo
thanks

Hi Arto!

On Tue 21 Aug 2012 12:49:57 Arto Jantunen escribió:
> Package: qt4-x11
> Version: 4:4.8.2+dfsg-1
> Severity: grave
> 
> Starting KDE with qt4 version 4:4.8.2+dfsg-1 installed causes kwin to
> segfault on startup somewhere in libpthread, with 4:4.8.2-2+b1 everything
> works as expected.

Just for the record: which video card are you using? Are the drivers free or 
non-free?

I'm also running a 64-bit system and could not reproduce this issue.

> I'll see if I can generate a proper backtrace..

Please try to, as this is quite strange. I have added two patches to Qt but 
they should not mess with kwin AFAIU.

Kinds regards, Lisandro.

-- 
Los chicos tienen un mayor dominio de la tecnología (y las habilidades y
lenguaje que eso implica) que los adultos con los que se relacionan. Por lo
general saben más que sus propios padres, sus docentes, sus pediatras,
psicólogos, que los políticos y funcionarios de sus comunidades. Eso afectó la
autoridad que tenía un adulto para habilitar al mundo.
  Luis Pescetti
  http://www.luispescetti.com/regale-su-obra/

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Added tag(s) unreproducible and moreinfo. Request was from Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org> to 685524-submit@bugs.debian.org. (Tue, 21 Aug 2012 16:21:09 GMT) Full text and rfc822 format available.

Message sent on to Arto Jantunen <viiru@debian.org>:
Bug#685524. (Tue, 21 Aug 2012 16:21:18 GMT) Full text and rfc822 format available.

Message sent on to Arto Jantunen <viiru@debian.org>:
Bug#685524. (Tue, 21 Aug 2012 17:00:10 GMT) Full text and rfc822 format available.

Message #18 received at 685524-submitter@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
To: 685524-submitter@bugs.debian.org
Subject: Re: Bug#685524: After upgrading to 4:4.8.2+dfsg-1 kwin segfaults on startup
Date: Tue, 21 Aug 2012 13:58:25 -0300
[Message part 1 (text/plain, inline)]
Control: severity -1 important

On Tue 21 Aug 2012 12:49:57 Arto Jantunen escribió:
> Package: qt4-x11
> Version: 4:4.8.2+dfsg-1
> Severity: grave
> 
> Starting KDE with qt4 version 4:4.8.2+dfsg-1 installed causes kwin to
> segfault on startup somewhere in libpthread, with 4:4.8.2-2+b1 everything
> works as expected.
[snip]

Looking at this:

> Kernel: Linux 3.6.0-rc2 (SMP w/2 CPU cores; PREEMPT)

I have asked our users on IRC and so far the outcome is that this is not 
reproducible using pure Sid nor Wheezy with Qt from Sid. But some of them 
experimented problems with kwin with kernels from experimental.

So, I'm reducing the severity of this bug at least until we can reproduce this 
with pure wheezy/sid.

Kinds regards, Lisandro.

-- 
"La política es una actividad noble. Hay que revalorizarla, ejerciéndola con
vocación y una dedicación que exige testimonio, martirio, o sea, morir
por el bien común."
  Padre Bergoglio - http://www.lanacion.com.ar/1153060

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Severity set to 'important' from 'grave' Request was from Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org> to 685524-submitter@bugs.debian.org. (Tue, 21 Aug 2012 17:00:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#685524; Package qt4-x11. (Tue, 21 Aug 2012 17:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arto Jantunen <viiru@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 21 Aug 2012 17:09:05 GMT) Full text and rfc822 format available.

Message #25 received at 685524@bugs.debian.org (full text, mbox):

From: Arto Jantunen <viiru@debian.org>
To: 685524@bugs.debian.org
Subject: Re: Bug#685524: After upgrading to 4:4.8.2+dfsg-1 kwin segfaults on startup
Date: Tue, 21 Aug 2012 19:58:25 +0300
Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org> writes:

> Control: tag -1 unreproducible moreinfo
> thanks
>
> Hi Arto!
>
> On Tue 21 Aug 2012 12:49:57 Arto Jantunen escribió:
>> Package: qt4-x11
>> Version: 4:4.8.2+dfsg-1
>> Severity: grave
>> 
>> Starting KDE with qt4 version 4:4.8.2+dfsg-1 installed causes kwin to
>> segfault on startup somewhere in libpthread, with 4:4.8.2-2+b1 everything
>> works as expected.
>
> Just for the record: which video card are you using? Are the drivers free or 
> non-free?

The video card is an older Intel controller, free driver of course:

VGA compatible controller: Intel Corporation Mobile 945GM/GMS,
943/940GML Express Integrated Graphics Controller (rev 03)

>> I'll see if I can generate a proper backtrace..
>
> Please try to, as this is quite strange. I have added two patches to Qt but 
> they should not mess with kwin AFAIU.

Here is the backtrace:

#0  __memcpy_ssse3 () at ../sysdeps/x86_64/multiarch/memcpy-ssse3.S:495
No locals.
#1  0x00007ffff41e60bb in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
No symbol table info available.
#2  0x00007ffff41fb7ec in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
No symbol table info available.
#3  0x00007ffff41f7ca3 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
No symbol table info available.
#4  0x00007ffff4244748 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
No symbol table info available.
#5  0x00007ffff4244dfc in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
No symbol table info available.
#6  0x00007ffff42e5390 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
No symbol table info available.
#7  0x00007ffff42e6386 in QScriptEngine::QScriptEngine() ()
   from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
No symbol table info available.
#8  0x00007ffff7b6babd in ?? ()
   from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
No symbol table info available.
#9  0x00007ffff7afaf15 in kdemain ()
   from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
No symbol table info available.
#10 0x00007ffff7730ead in __libc_start_main (main=<optimized out>, 
    argc=<optimized out>, ubp_av=<optimized out>, init=<optimized out>, 
    fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffffffe458)
    at libc-start.c:228
        result = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, -8713010014218070022, 
                4196168, 140737488348256, 0, 0, 8713010015146629114, 
                8712993480219842554}, mask_was_saved = 0}}, priv = {pad = {
              0x0, 0x0, 0x400870, 0x7fffffffe468}, data = {prev = 0x0, 
              cleanup = 0x0, canceltype = 4196464}}}
        not_first_call = <optimized out>
#11 0x0000000000400771 in _start ()
No symbol table info available.

Is this related to a different gcc version or different flags used when
compiling the current packages? 

-- 
Arto Jantunen



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#685524; Package qt4-x11. (Tue, 21 Aug 2012 17:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 21 Aug 2012 17:39:06 GMT) Full text and rfc822 format available.

Message #30 received at 685524@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
To: Arto Jantunen <viiru@debian.org>, 685524@bugs.debian.org
Subject: Re: Bug#685524: After upgrading to 4:4.8.2+dfsg-1 kwin segfaults on startup
Date: Tue, 21 Aug 2012 14:35:19 -0300
[Message part 1 (text/plain, inline)]
Control: tag -1 - moreinfo

On Tue 21 Aug 2012 13:58:25 Arto Jantunen escribió:
[snip]
> > Just for the record: which video card are you using? Are the drivers free
> > or non-free?
> 
> The video card is an older Intel controller, free driver of course:
> 
> VGA compatible controller: Intel Corporation Mobile 945GM/GMS,
> 943/940GML Express Integrated Graphics Controller (rev 03)

Excellent :-)
 
> >> I'll see if I can generate a proper backtrace..
> > 
> > Please try to, as this is quite strange. I have added two patches to Qt
> > but they should not mess with kwin AFAIU.
> 
> Here is the backtrace:
> 
> #0  __memcpy_ssse3 () at ../sysdeps/x86_64/multiarch/memcpy-ssse3.S:495
> No locals.

I've just started to see some crashes with this last line, mostly in stuff 
related with kate-part.
 
> Is this related to a different gcc version or different flags used when
> compiling the current packages?

I've currently two suspects: a patch which seemed to solve some issues in 
amd64 in QJIT or gcc.

I'm currently rebuilding without the patch to check if it was the culprit. If 
it proves to be so, then I'll surely upload a new version tonight.

Else, well, I need to check what changed in gcc or other B-Ds :-/

Thanks a lot for your report and the backtrace!

Kinds regards, Lisandro.

-- 
¿Qué vamos a hacer esta noche Cerebro?
-Lo mismo que todas las noches Pinky...
¡¡¡tratar de conquistar el mundo!!!
  Pinky y Cerebro. Narf.

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) moreinfo. Request was from Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org> to 685524-submit@bugs.debian.org. (Tue, 21 Aug 2012 17:39:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#685524; Package qt4-x11. (Tue, 21 Aug 2012 19:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 21 Aug 2012 19:21:06 GMT) Full text and rfc822 format available.

Message #37 received at 685524@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
To: Arto Jantunen <viiru@debian.org>
Cc: 685524@bugs.debian.org
Subject: Re: Bug#685524: After upgrading to 4:4.8.2+dfsg-1 kwin segfaults on startup
Date: Tue, 21 Aug 2012 16:17:10 -0300
[Message part 1 (text/plain, inline)]
On Tue 21 Aug 2012 14:35:19 Lisandro Damián Nicanor Pérez Meyer escribió:
[snip]
> 
> I've currently two suspects: a patch which seemed to solve some issues in
> amd64 in QJIT or gcc.

The problem in kate/kile's crash seemed to be the aforementioned patch.
So I'll be reuploading Qt tonight.

In the meantime, if you want, grab the packages at 
http://perezmeyer.com.ar/temp/ and check if you still can reproduce this bug.

Kinds regards, Lisandro.

-- 
You don’t marry someone you can live with – you marry the person who you
cannot live without.
  Anonymous

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#685524; Package qt4-x11. (Sun, 26 Aug 2012 07:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arto Jantunen <viiru@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 26 Aug 2012 07:18:03 GMT) Full text and rfc822 format available.

Message #42 received at 685524@bugs.debian.org (full text, mbox):

From: Arto Jantunen <viiru@debian.org>
To: 685524@bugs.debian.org
Subject: Re: Bug#685524: After upgrading to 4:4.8.2+dfsg-1 kwin segfaults on startup
Date: Sun, 26 Aug 2012 10:13:53 +0300
Control: severity -1 grave

The bug is reproducible with pure sid (kernel 3.2.0-3-amd64) as well,
also here is an improved backtrace:

#0  __memcpy_ssse3 () at ../sysdeps/x86_64/multiarch/memcpy-ssse3.S:495
#1  0x00007ffff41e80bb in memcpy (__len=<optimized out>, 
    __src=<optimized out>, __dest=<optimized out>)
    at /usr/include/x86_64-linux-gnu/bits/string3.h:52
#2  executableCopy (allocator=0x7fffd185d960, this=<optimized out>)
    at ../3rdparty/javascriptcore/JavaScriptCore/assembler/AssemblerBuffer.h:139
#3  executableCopy (allocator=0x7fffd185d960, this=0x7fffffffda00)
    at ../3rdparty/javascriptcore/JavaScriptCore/assembler/X86Assembler.h:1885
#4  executableCopy (allocator=0x7fffd185d960, this=0x7fffffffda00)
    at ../3rdparty/javascriptcore/JavaScriptCore/assembler/X86Assembler.h:1583
#5  LinkBuffer (executablePool=..., masm=0x7fffffffda00, this=0x7fffffffd970)
    at ../3rdparty/javascriptcore/JavaScriptCore/assembler/LinkBuffer.h:67
#6  QTJSC::JIT::privateCompileCTIMachineTrampolines (this=0x7fffffffda00, 
    executablePool=0x7fffd18579e8, globalData=<optimized out>, 
    ctiStringLengthTrampoline=0x7fffd18579f0, 
    ctiVirtualCallLink=0x7fffd18579f8, ctiVirtualCall=0x7fffd1857a00, 
    ctiNativeCallThunk=0x7fffd1857a08)
    at ../3rdparty/javascriptcore/JavaScriptCore/jit/JITOpcodes.cpp:1817
#7  0x00007ffff41fd7ec in QTJSC::JIT::compileCTIMachineTrampolines (
    globalData=0x7fffd1856800, 
    executablePool=executablePool@entry=0x7fffd18579e8, 
    ctiStringLengthTrampoline=ctiStringLengthTrampoline@entry=0x7fffd18579f0, 
    ctiVirtualCallLink=ctiVirtualCallLink@entry=0x7fffd18579f8, 
    ctiVirtualCall=ctiVirtualCall@entry=0x7fffd1857a00, 
    ctiNativeCallThunk=ctiNativeCallThunk@entry=0x7fffd1857a08)
    at ../3rdparty/javascriptcore/JavaScriptCore/jit/JIT.h:323
#8  0x00007ffff41f9ca3 in QTJSC::JITThunks::JITThunks (this=0x7fffd18579e8, 
    globalData=<optimized out>)
    at ../3rdparty/javascriptcore/JavaScriptCore/jit/JITStubs.cpp:768
#9  0x00007ffff4246748 in QTJSC::JSGlobalData::JSGlobalData (
    this=0x7fffd1856800, isShared=<optimized out>)
    at ../3rdparty/javascriptcore/JavaScriptCore/runtime/JSGlobalData.cpp:146
#10 0x00007ffff4246dfc in QTJSC::JSGlobalData::create ()
    at ../3rdparty/javascriptcore/JavaScriptCore/runtime/JSGlobalData.cpp:205
#11 0x00007ffff42e7390 in QScriptEnginePrivate::QScriptEnginePrivate (
    this=0xa82ae0) at api/qscriptengine.cpp:979
#12 0x00007ffff42e8386 in QScriptEngine::QScriptEngine (this=0x7fffffffe310)
    at api/qscriptengine.cpp:1964
#13 0x00007ffff7b6babd in ?? ()
   from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#14 0x00007ffff7afaf15 in kdemain ()
   from /usr/lib/kde4/libkdeinit/libkdeinit4_kwin.so
#15 0x00007ffff7730ead in __libc_start_main (main=<optimized out>, 
    argc=<optimized out>, ubp_av=<optimized out>, init=<optimized out>, 
    fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffffffe458)
    at libc-start.c:228
#16 0x0000000000400771 in _start ()

This might be hardware dependant, so I'll also mention that the cpu on
this machine is an Intel Core 2 T5500 (family 6, model 15, stepping 6).

-- 
Arto Jantunen



Severity set to 'grave' from 'important' Request was from Arto Jantunen <viiru@debian.org> to 685524-submit@bugs.debian.org. (Sun, 26 Aug 2012 07:18:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#685524; Package qt4-x11. (Sun, 26 Aug 2012 14:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 26 Aug 2012 14:12:04 GMT) Full text and rfc822 format available.

Message #49 received at 685524@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: 685524@bugs.debian.org
Subject: Re: After upgrading to 4:4.8.2+dfsg-1 kwin segfaults on startup
Date: Sun, 26 Aug 2012 16:03:30 +0200
[Message part 1 (text/plain, inline)]
Hi

I can also reproduce the kwin segfaults in a live environment under 
kvm, using xserver-xorg-video-modesetting and kernel 3.5/ 3.6~, 
interestingly the problems disappear if I bump up kvm's system RAM 
to ~3 GB or more (it reliably fails up to and including 2.5 GB). 

With Fix-JIT-crash-on-x86-64-avoid-32-bit-branch-offset-o.patch 
removed, I can drop system RAM down to 768 MB (or maybe lower) without 
observing any segfaults, so that patch definately causes this trouble.

Regards
	Stefan Lippers-Hollmann
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) unreproducible. Request was from Arto Jantunen <viiru@debian.org> to control@bugs.debian.org. (Sun, 26 Aug 2012 19:30:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#685524; Package qt4-x11. (Sun, 26 Aug 2012 21:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 26 Aug 2012 21:15:06 GMT) Full text and rfc822 format available.

Message #56 received at 685524@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
To: debian-qt-kde@lists.debian.org, Arto Jantunen <viiru@debian.org>, 685524@bugs.debian.org
Subject: Re: Bug#685524: After upgrading to 4:4.8.2+dfsg-1 kwin segfaults on startup
Date: Sun, 26 Aug 2012 18:11:53 -0300
[Message part 1 (text/plain, inline)]
On Sun 26 Aug 2012 04:13:53 Arto Jantunen escribió:
> Control: severity -1 grave

[snip]
 
> This might be hardware dependant, so I'll also mention that the cpu on
> this machine is an Intel Core 2 T5500 (family 6, model 15, stepping 6).

Mm, the only machine I could reproduce this is from the same family, if not 
even exactly the same one. The strange part is that I could not reproduce it 
anymore :-/

-- 
Compartir las cosas buenas es una necesidad fácil de satisfacer. Compartir las
cosas malas es una necesidad mayor, pero mucho mas difícil de satisfacer. Sin
embargo, es el compartir las cosas malas lo que mas nos une como hermanos.
  Lisandro Damián Nicanor Pérez Meyer

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to control@bugs.debian.org. (Mon, 27 Aug 2012 21:15:03 GMT) Full text and rfc822 format available.

Reply sent to Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>:
You have taken responsibility. (Mon, 27 Aug 2012 22:21:06 GMT) Full text and rfc822 format available.

Notification sent to Arto Jantunen <viiru@debian.org>:
Bug acknowledged by developer. (Mon, 27 Aug 2012 22:21:06 GMT) Full text and rfc822 format available.

Message #63 received at 685524-close@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
To: 685524-close@bugs.debian.org
Subject: Bug#685524: fixed in qt4-x11 4:4.8.2+dfsg-2
Date: Mon, 27 Aug 2012 22:18:46 +0000
Source: qt4-x11
Source-Version: 4:4.8.2+dfsg-2

We believe that the bug you reported is fixed in the latest version of
qt4-x11, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 685524@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org> (supplier of updated qt4-x11 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 27 Aug 2012 17:54:41 -0300
Source: qt4-x11
Binary: libqtcore4 libqt4-core libqtgui4 libqt4-gui libqt4-network libqt4-opengl libqt4-script libqt4-scripttools libqt4-sql libqt4-sql-ibase libqt4-sql-mysql libqt4-sql-odbc libqt4-sql-psql libqt4-sql-sqlite libqt4-sql-sqlite2 libqt4-sql-tds libqt4-svg libqt4-webkit libqt4-xml libqt4-xmlpatterns libqt4-dbus libqt4-qt3support libqt4-designer libqt4-help libqt4-assistant libqt4-test libqt4-phonon libqt4-declarative libqt4-declarative-folderlistmodel libqt4-declarative-gestures libqt4-declarative-particles libqt4-declarative-shaders libqt4-dev libqt4-dev-bin libqt4-private-dev libqt4-opengl-dev libqt4-dbg libqt4-designer-dbg libqt4-qt3support-dbg libqt4-script-dbg libqt4-webkit-dbg libqt4-xmlpatterns-dbg qt4-bin-dbg qt4-demos-dbg qt4-designer qt4-dev-tools qt4-qmake qt4-qtconfig qt4-demos qt4-qmlviewer qt4-linguist-tools qdbus qt4-doc qt4-doc-html
Architecture: source amd64 all
Version: 4:4.8.2+dfsg-2
Distribution: unstable
Urgency: low
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Description: 
 libqt4-assistant - transitional package for Qt 4 assistant module
 libqt4-core - transitional package for Qt 4 core non-GUI runtime libraries
 libqt4-dbg - Qt 4 library debugging symbols
 libqt4-dbus - Qt 4 D-Bus module
 libqt4-declarative - Qt 4 Declarative module
 libqt4-declarative-folderlistmodel - Qt 4 folderlistmodel QML plugin
 libqt4-declarative-gestures - Qt 4 gestures QML plugin
 libqt4-declarative-particles - Qt 4 particles QML plugin
 libqt4-declarative-shaders - Qt 4 shaders QML plugin
 libqt4-designer - Qt 4 designer module
 libqt4-designer-dbg - Qt 4 designer library debugging symbols
 libqt4-dev - Qt 4 development files
 libqt4-dev-bin - Qt 4 development programs
 libqt4-gui - transitional package for Qt 4 GUI runtime libraries
 libqt4-help - Qt 4 help module
 libqt4-network - Qt 4 network module
 libqt4-opengl - Qt 4 OpenGL module
 libqt4-opengl-dev - Qt 4 OpenGL library development files
 libqt4-phonon - Qt 4 Phonon module
 libqt4-private-dev - Qt 4 private development files
 libqt4-qt3support - Qt 3 compatibility library for Qt 4
 libqt4-qt3support-dbg - Qt 3 compatibility library for Qt 4 debugging symbols
 libqt4-script - Qt 4 script module
 libqt4-script-dbg - Qt 4 script library debugging symbols
 libqt4-scripttools - Qt 4 script tools module
 libqt4-sql - Qt 4 SQL module
 libqt4-sql-ibase - Qt 4 InterBase/FireBird database driver
 libqt4-sql-mysql - Qt 4 MySQL database driver
 libqt4-sql-odbc - Qt 4 ODBC database driver
 libqt4-sql-psql - Qt 4 PostgreSQL database driver
 libqt4-sql-sqlite - Qt 4 SQLite 3 database driver
 libqt4-sql-sqlite2 - Qt 4 SQLite 2 database driver
 libqt4-sql-tds - Qt 4 FreeTDS database driver
 libqt4-svg - Qt 4 SVG module
 libqt4-test - Qt 4 test module
 libqt4-webkit - transitional package for Qt 4 WebKit module
 libqt4-webkit-dbg - transitional package for Qt 4 WebKit debugging symbols
 libqt4-xml - Qt 4 XML module
 libqt4-xmlpatterns - Qt 4 XML patterns module
 libqt4-xmlpatterns-dbg - Qt 4 XML patterns library debugging symbols
 libqtcore4 - Qt 4 core module
 libqtgui4  - Qt 4 GUI module
 qdbus      - Qt 4 D-Bus tool
 qt4-bin-dbg - Qt 4 binaries debugging symbols
 qt4-demos  - Qt 4 examples and demos
 qt4-demos-dbg - Qt 4 examples and demos debugging symbols
 qt4-designer - graphical designer for Qt 4 applications
 qt4-dev-tools - Qt 4 development tools
 qt4-doc    - Qt 4 API documentation
 qt4-doc-html - Qt 4 API documentation (HTML format)
 qt4-linguist-tools - Qt 4 Linguist tools
 qt4-qmake  - Qt 4 qmake Makefile generator tool
 qt4-qmlviewer - Qt 4 QML viewer
 qt4-qtconfig - Qt 4 configuration tool
Closes: 685524
Changes: 
 qt4-x11 (4:4.8.2+dfsg-2) unstable; urgency=low
 .
   * Remove Fix-JIT-crash-on-x86-64-avoid-32-bit-branch-offset-o.patch. It seems
     that causes crashes in an hardware-dependant fashion (Closes: #685524).
Checksums-Sha1: 
 fee1aeec3e288b4d13667e1aacb245aa60fc174c 5674 qt4-x11_4.8.2+dfsg-2.dsc
 1504e2ea62c843801d4edbf12fce8a4f04e82f35 405279 qt4-x11_4.8.2+dfsg-2.debian.tar.gz
 68f5179a768706ff29c4bc48a43f09d0d4ed8923 2105552 libqtcore4_4.8.2+dfsg-2_amd64.deb
 bfa61973047dfae8d2b1d67411dc4e8a46e7c0f0 44526 libqt4-core_4.8.2+dfsg-2_amd64.deb
 4081b9a6684233beabb7aeab046b8f9000decddb 4047076 libqtgui4_4.8.2+dfsg-2_amd64.deb
 d1a576349378c8b4338b284e1243a248a18f8182 44524 libqt4-gui_4.8.2+dfsg-2_amd64.deb
 164de8dd2275b8a9c6a7aa6ddaf3040e7ec7dda8 566924 libqt4-network_4.8.2+dfsg-2_amd64.deb
 d50332691db4b789a5a09bdb66ab23f3fd2a0655 335412 libqt4-opengl_4.8.2+dfsg-2_amd64.deb
 aad17c473b38d3a4eb295b545e20d69a08e53b14 808802 libqt4-script_4.8.2+dfsg-2_amd64.deb
 6de8f493cb3f7cbe2e51074900cb10ddcd5a4fc7 255588 libqt4-scripttools_4.8.2+dfsg-2_amd64.deb
 c94aa953e6845af515185a7b5b98a1d0891781bf 135710 libqt4-sql_4.8.2+dfsg-2_amd64.deb
 af99b8ee725ab5bcf2a9895130eac48e5c5d0916 82578 libqt4-sql-ibase_4.8.2+dfsg-2_amd64.deb
 b31aae07466aa779519a3667e8985dc5fdb2d511 69036 libqt4-sql-mysql_4.8.2+dfsg-2_amd64.deb
 92375e5010f1b66862c63842c06f03281348dacb 82742 libqt4-sql-odbc_4.8.2+dfsg-2_amd64.deb
 7d40eddce29cc38e1e7dd5a3ed141d6ae0293711 72114 libqt4-sql-psql_4.8.2+dfsg-2_amd64.deb
 fd292073b8f00018c27b99a4084261ae34f64d85 62174 libqt4-sql-sqlite_4.8.2+dfsg-2_amd64.deb
 8fd20b0060abc8c021b29305e7dc07a07b0ef930 57740 libqt4-sql-sqlite2_4.8.2+dfsg-2_amd64.deb
 e42f76d1a58437149851b2f18e0e5d04ca598c84 62938 libqt4-sql-tds_4.8.2+dfsg-2_amd64.deb
 7a0099d933114308829b2ddf3d2c03dea1e8d70a 175288 libqt4-svg_4.8.2+dfsg-2_amd64.deb
 48fc940fc6e3bc1cef68a68a3e325d1fd35bfd14 44500 libqt4-webkit_4.8.2+dfsg-2_amd64.deb
 1f977590ea50b45dd8926bed0083df8f7cd443c5 129686 libqt4-xml_4.8.2+dfsg-2_amd64.deb
 b3e4f6c908021ef2f4fae4d1c3b8f49d031db142 1047910 libqt4-xmlpatterns_4.8.2+dfsg-2_amd64.deb
 7c24ab0f11280cc65438c3355a84708f8a7439cc 217644 libqt4-dbus_4.8.2+dfsg-2_amd64.deb
 edef2cd9b5e91bc4a984792a5eab5f7bf2d4c2c6 1070228 libqt4-qt3support_4.8.2+dfsg-2_amd64.deb
 3fe52b17435241e3638fe6491398b3fc529a1eab 3643286 libqt4-designer_4.8.2+dfsg-2_amd64.deb
 ba6410af270613e16ef47b096b6aed1059d65535 236964 libqt4-help_4.8.2+dfsg-2_amd64.deb
 bd875254c4710d9bb7bbcf2c14e3b35b0d1ed1ea 44492 libqt4-assistant_4.8.2+dfsg-2_amd64.deb
 56663b9125a2597df8289fdaf8fc64a02eec598a 98974 libqt4-test_4.8.2+dfsg-2_amd64.deb
 ff82f6b4b54d04786e4896d2f36c900e39b94169 161938 libqt4-phonon_4.8.2+dfsg-2_amd64.deb
 2b647667ab2fc1df5d276eca2e54cc31371b9e7e 1103302 libqt4-declarative_4.8.2+dfsg-2_amd64.deb
 ba1cdca0b6380d9ac32725092cf120a68350cb8d 56798 libqt4-declarative-folderlistmodel_4.8.2+dfsg-2_amd64.deb
 0ff3f8a850900d9ffa9a6adbb2d585159b9b1cad 59386 libqt4-declarative-gestures_4.8.2+dfsg-2_amd64.deb
 407e93d08b479a3f4deaba63b67a7cb871b4ddb9 64846 libqt4-declarative-particles_4.8.2+dfsg-2_amd64.deb
 9b44641a5cc80bccbe154427d88c497fa9ad5c7d 72670 libqt4-declarative-shaders_4.8.2+dfsg-2_amd64.deb
 a550ba0c2b0808216bbbe5fed8c4866e2eb83db1 917380 libqt4-dev_4.8.2+dfsg-2_amd64.deb
 f28815f4136f663cb7e1c1f7f570ae146a48ecb5 1628370 libqt4-dev-bin_4.8.2+dfsg-2_amd64.deb
 6f98955188e5139d10281cabfeb14dd9ba21dd3f 607718 libqt4-private-dev_4.8.2+dfsg-2_amd64.deb
 94cdf3534a39e0b7d6551c64de4cd28f6d65977e 61072 libqt4-opengl-dev_4.8.2+dfsg-2_amd64.deb
 36dfb01b3e8efbe65adcbb37c7ba0c0f04b8354c 120281812 libqt4-dbg_4.8.2+dfsg-2_amd64.deb
 af7e71d8109f081300eac02a910aa5737d02d9f6 42835496 libqt4-designer-dbg_4.8.2+dfsg-2_amd64.deb
 daf2643559c5cddada409ce87b9889c4c0e1ee2f 14771246 libqt4-qt3support-dbg_4.8.2+dfsg-2_amd64.deb
 f9cabceef03a3e155ae95d570cb9f555176fabab 18734818 libqt4-script-dbg_4.8.2+dfsg-2_amd64.deb
 3c564f2f13615030bb463bc7bd91f4d877e20e1d 44474 libqt4-webkit-dbg_4.8.2+dfsg-2_amd64.deb
 6aa4f53ab491ef11281d356b8d698d58a00d3df8 29365622 libqt4-xmlpatterns-dbg_4.8.2+dfsg-2_amd64.deb
 d7adf38aca9e18822ddda06bab3cae5a8c8d7fa8 54596040 qt4-bin-dbg_4.8.2+dfsg-2_amd64.deb
 829ce1304a99bb94d16486f38be01b48d877f82d 115643150 qt4-demos-dbg_4.8.2+dfsg-2_amd64.deb
 52aca1278fdad7f90318ad61f2a0f2e074fab98e 382528 qt4-designer_4.8.2+dfsg-2_amd64.deb
 fbd3fe5bec8b372731de713d396035f3cd20a851 3893190 qt4-dev-tools_4.8.2+dfsg-2_amd64.deb
 0b553d6e868837ce814c2f2f4f47bb43702149b4 1266096 qt4-qmake_4.8.2+dfsg-2_amd64.deb
 24eab082326bfcc212e73e2b888dab8d4c79385e 133906 qt4-qtconfig_4.8.2+dfsg-2_amd64.deb
 3a08331c7afcaf4e46af503c92ca3af7343112b7 10055054 qt4-demos_4.8.2+dfsg-2_amd64.deb
 4a7d1f33075117e809bd316d10d419360ac017f4 186484 qt4-qmlviewer_4.8.2+dfsg-2_amd64.deb
 f9bfac0091115e02da0dc035b0a583d921643781 851426 qt4-linguist-tools_4.8.2+dfsg-2_amd64.deb
 c44d561f6b575bc5e1356e72af1d3a778a38c35b 67590 qdbus_4.8.2+dfsg-2_amd64.deb
 7fb80cc924138848ae523cbbd4c0b63b00209d23 95408444 qt4-doc_4.8.2+dfsg-2_all.deb
 69c3585fda32f3979d6fa7c4fd761c1dc6f65754 45713416 qt4-doc-html_4.8.2+dfsg-2_all.deb
Checksums-Sha256: 
 ce6d73eb2ee384a4ed6d81764e8a87c76c0b6cf0b3c05cfe39be469de129f0ff 5674 qt4-x11_4.8.2+dfsg-2.dsc
 28b0c8c1508653556b74a1e47672e9fca51b764a3540675ded2b3221550fbfb8 405279 qt4-x11_4.8.2+dfsg-2.debian.tar.gz
 c95437eb7ec90ed02658c3ffb6c72c4dfe0ec097e1d787af2cde08411cd393f1 2105552 libqtcore4_4.8.2+dfsg-2_amd64.deb
 ed0c1c70ae6dab520a75dcdd500b1ce3f81ba53644e42dd28e49f130cdc147f7 44526 libqt4-core_4.8.2+dfsg-2_amd64.deb
 352ef3b8f8a2815e2ccfff03242d4ed5f2685f09b4ee6eece36c9f8c5de131ae 4047076 libqtgui4_4.8.2+dfsg-2_amd64.deb
 4538a4b3891f8a02862c00068f33a376410a1f386232d7e4433f7c85414fa1ac 44524 libqt4-gui_4.8.2+dfsg-2_amd64.deb
 fe13b04fec80b2f705ff101bf272725006794e819c4b9933836668ad38a7fbf2 566924 libqt4-network_4.8.2+dfsg-2_amd64.deb
 3f7b88e63e770be95aa8fb6f3e44a4bf2112abe36104c074caca33a6efd71224 335412 libqt4-opengl_4.8.2+dfsg-2_amd64.deb
 1a2cfb34b4645b0c81bf3a362d3ac0151f19292bc2f7137d353160a20aed8bf4 808802 libqt4-script_4.8.2+dfsg-2_amd64.deb
 ef05e7f1ae34f655f16e9621247486629196ac528eb19f2cb7fdd635a9d0f988 255588 libqt4-scripttools_4.8.2+dfsg-2_amd64.deb
 d0fa5bb4c823d55e5d197fa7cb4440bd859f78f3757b056a1410d861971d84be 135710 libqt4-sql_4.8.2+dfsg-2_amd64.deb
 38e3a760e5b72694308f1bb4765e7ff50ae796591fd605e74014490e58f48ddf 82578 libqt4-sql-ibase_4.8.2+dfsg-2_amd64.deb
 fd98caf52abf0f0d440d67ce14b4e7fb2572dc490971a4c6eb841aa0b4a637f3 69036 libqt4-sql-mysql_4.8.2+dfsg-2_amd64.deb
 246d6db57cd5e3f119a3d161caabd681a1ea1e2cd44bcbe4d7eee9e967c0aa2f 82742 libqt4-sql-odbc_4.8.2+dfsg-2_amd64.deb
 668902190a8221ba1de14112a16126c5da914e9b20af460eefa6c03bac464629 72114 libqt4-sql-psql_4.8.2+dfsg-2_amd64.deb
 3125acfe4b9d38bbbd428a74ea423b2f5c62a0cf8daeedb3d86cd2f02ddd9a6c 62174 libqt4-sql-sqlite_4.8.2+dfsg-2_amd64.deb
 630fdd6cb918c30d7fba1037011e86f415dd63b397532c8a22f7a83aff1345bf 57740 libqt4-sql-sqlite2_4.8.2+dfsg-2_amd64.deb
 1862abdc7825b543db3ebb0c2e5b5caaec95261acadd6bf72afaf0cc83528994 62938 libqt4-sql-tds_4.8.2+dfsg-2_amd64.deb
 21221af106864aa291cdd08c8a4d2a85682414f2ed12660dbb922c9bf2b08ced 175288 libqt4-svg_4.8.2+dfsg-2_amd64.deb
 f3af04c0f1913c371a7e96f5025ca7ad01ec08dc9d5e98ce6d4af1fec168524e 44500 libqt4-webkit_4.8.2+dfsg-2_amd64.deb
 f98a601f60f26129f708f173d204da53c32398601dfef7b1c82cb42bee883633 129686 libqt4-xml_4.8.2+dfsg-2_amd64.deb
 a3e2808ae3bfdfaaa7f102e0bb8bedb410995f6a8d248087042c07cdafbac990 1047910 libqt4-xmlpatterns_4.8.2+dfsg-2_amd64.deb
 b2a287b6bdb84e803c932bf608c5ac9e12285509a05fb676690c47f150fed390 217644 libqt4-dbus_4.8.2+dfsg-2_amd64.deb
 cdb68b31a808349629ffa67da181f00c2e1c6088ad6d88663eb8aafb9574d67f 1070228 libqt4-qt3support_4.8.2+dfsg-2_amd64.deb
 beba1d1653e6616d40e32f43bec9450fd3f5987e9f67ebd85826028e66a64d6f 3643286 libqt4-designer_4.8.2+dfsg-2_amd64.deb
 425f713a321b0405e113dd4f5e85559eb8abfbc86de0b9e358cdb37efd130edf 236964 libqt4-help_4.8.2+dfsg-2_amd64.deb
 dc64bc5e86a1a6fcc6421408e8f3eda6d6de7919ba846b414baa1feb81de28f1 44492 libqt4-assistant_4.8.2+dfsg-2_amd64.deb
 bae6678de6ac6b97290b57a138013b7968c8e503f6c1f9a52a211f6ac6b35b91 98974 libqt4-test_4.8.2+dfsg-2_amd64.deb
 7871a3d81339268471f7262e838b0fbeda98a07b5cdb470b2d0da6bcee07d5c8 161938 libqt4-phonon_4.8.2+dfsg-2_amd64.deb
 24bfc55056bc96355c5f5d01c1f961c71928d622d32dfcebdb648c776208db72 1103302 libqt4-declarative_4.8.2+dfsg-2_amd64.deb
 2e978e39f4d0950056ae1e51fbb5b4310f9160e112a5b1faac948bd40fca85b3 56798 libqt4-declarative-folderlistmodel_4.8.2+dfsg-2_amd64.deb
 9573dd2fa229c0c463d5c1e782b3fa46c9c86a7d29de42ebe47723c5a3dc1b5b 59386 libqt4-declarative-gestures_4.8.2+dfsg-2_amd64.deb
 5ad80419a919dde81e7e664eb8febbc53c3e0a3380ef900ed67566ce88cf022f 64846 libqt4-declarative-particles_4.8.2+dfsg-2_amd64.deb
 d6b7f697f3a4a750fee16badbbeae05649c769c4817d33aad092fa07b6774876 72670 libqt4-declarative-shaders_4.8.2+dfsg-2_amd64.deb
 3449d4fdd536d4937537e7cbd75268323b1146f6108dc80bc56eec2c758f9a19 917380 libqt4-dev_4.8.2+dfsg-2_amd64.deb
 7aa42dddfe35527a11e088359b6ba5ff93fa3c89c2614fd949766d3b405c1bff 1628370 libqt4-dev-bin_4.8.2+dfsg-2_amd64.deb
 97009efd44850e05a2f728e73fd53aeab1efd5cb18cdd545bc4dc02a96016a5d 607718 libqt4-private-dev_4.8.2+dfsg-2_amd64.deb
 a77d7984756f9899d9c64268779173a65cdc33db0540b55cb02d12c09320e7fa 61072 libqt4-opengl-dev_4.8.2+dfsg-2_amd64.deb
 f1eae931082821defe333bc2444a4d5a985826a0b0d088da474c30548612068e 120281812 libqt4-dbg_4.8.2+dfsg-2_amd64.deb
 256d81761167bbdf0e8ae4e315af40bebba962da46129c3b61e318edfd4604ab 42835496 libqt4-designer-dbg_4.8.2+dfsg-2_amd64.deb
 95932ccdcbcf388882db1bc24fb79521f6542cbb63983419a80f27b5021daeff 14771246 libqt4-qt3support-dbg_4.8.2+dfsg-2_amd64.deb
 b35d25f51234d588e0d110a8109fc04284d1cd697c5ecda1848e670fbf797ae9 18734818 libqt4-script-dbg_4.8.2+dfsg-2_amd64.deb
 e12577cd43bfdbc5c7c7889baa7ac3e51534ec8528700cd2c75ed16e3d10881a 44474 libqt4-webkit-dbg_4.8.2+dfsg-2_amd64.deb
 b530b5f4b6fc513aad563eccaee48ea9ee11feb2c95a06acb8f435bf43deae7c 29365622 libqt4-xmlpatterns-dbg_4.8.2+dfsg-2_amd64.deb
 d3cc2332aa6c406fde19df5d76a831820977b7e90a0916b87e7b853765b21498 54596040 qt4-bin-dbg_4.8.2+dfsg-2_amd64.deb
 04bde6830e789dbd05b85bdf8157dde0be838a64d0376eaad5544d8d739cfed9 115643150 qt4-demos-dbg_4.8.2+dfsg-2_amd64.deb
 30a53a6b3e4802b744d040e74c7a9760c068089a25c4160b005ebb5c08404938 382528 qt4-designer_4.8.2+dfsg-2_amd64.deb
 42a20ddb8225dba8da24459077acae73d6a11d87c51a6c70023ed098c6938131 3893190 qt4-dev-tools_4.8.2+dfsg-2_amd64.deb
 1a817b938e8e4bf35b000c5d36c11ce9df486c4254e93ea58b758a53f984344a 1266096 qt4-qmake_4.8.2+dfsg-2_amd64.deb
 5c9156eb08767f9d9fa1cad06fba4a6eba2f28e470e7793607c29ef5f5762536 133906 qt4-qtconfig_4.8.2+dfsg-2_amd64.deb
 24bf18135253f9596f705ec02377142a118b1a472ab68f6b810da549eaedff12 10055054 qt4-demos_4.8.2+dfsg-2_amd64.deb
 b564383c35a7228b8f50be33e2d282d9518e20f83dcc0c6891d3bdf8503ed963 186484 qt4-qmlviewer_4.8.2+dfsg-2_amd64.deb
 051b968fdf41f013c6ace00add5d9bbecba42337cc83a76929764807566248e3 851426 qt4-linguist-tools_4.8.2+dfsg-2_amd64.deb
 e7e948126921a733ca9744a1ada1758f5c5e47d9fb7e9d1217a138a70bdac92a 67590 qdbus_4.8.2+dfsg-2_amd64.deb
 dd90b5fd908d777e74848436d7a79468e3b2c61a9e9145d8359e3da6fff88b61 95408444 qt4-doc_4.8.2+dfsg-2_all.deb
 6328fe02c66bcaa5a0ac221440744030f8530b7b9a813b77ba8792f1245312f5 45713416 qt4-doc-html_4.8.2+dfsg-2_all.deb
Files: 
 09e6f85721928079a41b23e46d27a13a 5674 libs optional qt4-x11_4.8.2+dfsg-2.dsc
 8f36e2802ded6051b04ba9eb6caecb68 405279 libs optional qt4-x11_4.8.2+dfsg-2.debian.tar.gz
 a4cc16e7183df7db9a97d4e874817900 2105552 libs optional libqtcore4_4.8.2+dfsg-2_amd64.deb
 a97940c7c576ebe40750cb9cd5911955 44526 oldlibs extra libqt4-core_4.8.2+dfsg-2_amd64.deb
 3dcc4611be1ba9359b910541a67075cd 4047076 libs optional libqtgui4_4.8.2+dfsg-2_amd64.deb
 b5ad74aab7016a9447749e41b791e088 44524 oldlibs extra libqt4-gui_4.8.2+dfsg-2_amd64.deb
 b0e8743b9f1b01765798d6f0af1158de 566924 libs optional libqt4-network_4.8.2+dfsg-2_amd64.deb
 cefee97f1870a286b484609beff7841f 335412 libs optional libqt4-opengl_4.8.2+dfsg-2_amd64.deb
 8c3c0ad73f168bcfec3e2916fadf7915 808802 libs optional libqt4-script_4.8.2+dfsg-2_amd64.deb
 5bae8e6c0e65a9c71d84aa5c3c12b822 255588 libs optional libqt4-scripttools_4.8.2+dfsg-2_amd64.deb
 13c317edd67ee20c4ff7beee37bb6822 135710 libs optional libqt4-sql_4.8.2+dfsg-2_amd64.deb
 52c5020797579844c3fe7aec8350020c 82578 libs optional libqt4-sql-ibase_4.8.2+dfsg-2_amd64.deb
 d09ab0e1d33158ed3b66110da0539109 69036 libs optional libqt4-sql-mysql_4.8.2+dfsg-2_amd64.deb
 abe2f5c1572cb015243a3c4a5cb4a365 82742 libs optional libqt4-sql-odbc_4.8.2+dfsg-2_amd64.deb
 f58d5f6734b76535cbe0c3f975776d71 72114 libs optional libqt4-sql-psql_4.8.2+dfsg-2_amd64.deb
 7ee79be4fd4ac10301ba81ea0ee12f78 62174 libs optional libqt4-sql-sqlite_4.8.2+dfsg-2_amd64.deb
 18187abfa2dfa9ec1c8e7801dca02c6a 57740 libs optional libqt4-sql-sqlite2_4.8.2+dfsg-2_amd64.deb
 953a9d57d027917caa2b4c4af0145210 62938 libs optional libqt4-sql-tds_4.8.2+dfsg-2_amd64.deb
 aaa0af9d6b0951c58178477fbc1ba9b9 175288 libs optional libqt4-svg_4.8.2+dfsg-2_amd64.deb
 e2bb6a9a1a3c482f4eaf39d4cc7faf72 44500 oldlibs extra libqt4-webkit_4.8.2+dfsg-2_amd64.deb
 fb7e647a7ae4a87a86a54df60c097837 129686 libs optional libqt4-xml_4.8.2+dfsg-2_amd64.deb
 1672cc9bbbabf6b49f0869318579c354 1047910 libs optional libqt4-xmlpatterns_4.8.2+dfsg-2_amd64.deb
 ce7b1a2cc9435ef9de0d9cc6b0065214 217644 libs optional libqt4-dbus_4.8.2+dfsg-2_amd64.deb
 f4d2a522049ecc68785c3ea219019100 1070228 libs optional libqt4-qt3support_4.8.2+dfsg-2_amd64.deb
 dc26a028e01a8f39661743b3205b4ed1 3643286 libs optional libqt4-designer_4.8.2+dfsg-2_amd64.deb
 06d60fa8b60552ca0496fb616a00806d 236964 libs optional libqt4-help_4.8.2+dfsg-2_amd64.deb
 5c10818a778dfb3d1a667ade9f5116d7 44492 oldlibs extra libqt4-assistant_4.8.2+dfsg-2_amd64.deb
 00332f1e75224aa91da9461959a6d398 98974 libs optional libqt4-test_4.8.2+dfsg-2_amd64.deb
 b3d60b066584ff1f5b5ed6a0a7bc9436 161938 libs optional libqt4-phonon_4.8.2+dfsg-2_amd64.deb
 6427595e73429ebbd70cfd04daa10a0f 1103302 libs optional libqt4-declarative_4.8.2+dfsg-2_amd64.deb
 8223dfe9554504fc2cab7d6025ef4544 56798 libs optional libqt4-declarative-folderlistmodel_4.8.2+dfsg-2_amd64.deb
 5d7ac553d01031c6fd9c931f5724d350 59386 libs optional libqt4-declarative-gestures_4.8.2+dfsg-2_amd64.deb
 2a537e917860e0deeb8569126967ae52 64846 libs optional libqt4-declarative-particles_4.8.2+dfsg-2_amd64.deb
 6bd1036fb0cbe4061c173e9726410648 72670 libs optional libqt4-declarative-shaders_4.8.2+dfsg-2_amd64.deb
 9678557ca72bb3908f495c5aab14ead3 917380 libdevel optional libqt4-dev_4.8.2+dfsg-2_amd64.deb
 2600763e74d89ea93dd306431032ec3d 1628370 devel optional libqt4-dev-bin_4.8.2+dfsg-2_amd64.deb
 1327de668dcfc3a5253b08e1c3a493e5 607718 libdevel optional libqt4-private-dev_4.8.2+dfsg-2_amd64.deb
 3122b1a4011af59a2d0b6fe59b46b0b2 61072 libdevel optional libqt4-opengl-dev_4.8.2+dfsg-2_amd64.deb
 bac3a73524602d112b3275c21a78e6c3 120281812 debug extra libqt4-dbg_4.8.2+dfsg-2_amd64.deb
 435ba501759e44a5bdd4507fbeca4f0c 42835496 debug extra libqt4-designer-dbg_4.8.2+dfsg-2_amd64.deb
 2204f7185fdf99742faa71c9e14c39c9 14771246 debug extra libqt4-qt3support-dbg_4.8.2+dfsg-2_amd64.deb
 64c204d84248d6275b3d01fc7840be06 18734818 debug extra libqt4-script-dbg_4.8.2+dfsg-2_amd64.deb
 75cf30bca2b21bc5468d993d35bcff42 44474 oldlibs extra libqt4-webkit-dbg_4.8.2+dfsg-2_amd64.deb
 50d4cf5bb0b7390623694276b22cd77c 29365622 debug extra libqt4-xmlpatterns-dbg_4.8.2+dfsg-2_amd64.deb
 276d5368c40d9393538d729410ee9750 54596040 debug extra qt4-bin-dbg_4.8.2+dfsg-2_amd64.deb
 ffed80809c3d326bbfc3e3ba17202ef1 115643150 debug extra qt4-demos-dbg_4.8.2+dfsg-2_amd64.deb
 c911f46949170ed97b9898ecd56e31ce 382528 devel optional qt4-designer_4.8.2+dfsg-2_amd64.deb
 dfbd58a3917e22612d723dab09395301 3893190 devel optional qt4-dev-tools_4.8.2+dfsg-2_amd64.deb
 49788e87f085cf09669d43d7d85db498 1266096 devel optional qt4-qmake_4.8.2+dfsg-2_amd64.deb
 0e1fe8805145bfb1098b5d1079c9f01e 133906 x11 optional qt4-qtconfig_4.8.2+dfsg-2_amd64.deb
 dc6a16aeb082825e2ea8d34e13673dce 10055054 x11 optional qt4-demos_4.8.2+dfsg-2_amd64.deb
 2366b0afd79e5a9f1a4afdf9117a703a 186484 devel optional qt4-qmlviewer_4.8.2+dfsg-2_amd64.deb
 2c233a84ccf5c04341d41de116208d46 851426 devel optional qt4-linguist-tools_4.8.2+dfsg-2_amd64.deb
 7621303b6813b74f7fb3023ebc39a0dc 67590 utils optional qdbus_4.8.2+dfsg-2_amd64.deb
 134cfc77e67888606ecdab33e2ba3991 95408444 doc optional qt4-doc_4.8.2+dfsg-2_all.deb
 1d76b553c223174a9cfbe2b98fcce5bd 45713416 doc optional qt4-doc-html_4.8.2+dfsg-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQO+8jAAoJEKtkX0BihqfQBl0QAJtXEXePL6xtHWkVe5I7rIkT
unM6j6WdLK1LtBOO9UsPk2GKTPGckaBGQK6Vvd59djqRWX9UBD1uyWnBHQU6eZF3
m9J28ymK9YCCuDXuFJ/ThRpJsnVVDOpqAtD8etAZqD681tsJspa0xtwLsu4ejcTD
Sw+XKoforD9VUXrPIH9zJ1uLmSMYyI1sKmJqWegOLut1j2+W6slHYjWU/o/MkC5R
p0U6fiV5LmAFXlHYEF8bqo00hX9LCS/9SwKi+an7efFAo3IkeFjCqYBYenXGCRqH
/FhbmzxE7eb38csBUzTA7JkUmUTDRzM04gordk5q2Wo+UQvVQy4iqcQc9MUFFMMc
Mnn3TeMO392fCDI0mL2PlfQsvhaHSXHJ0fgsgs6Sx6NZRjnKk6OP+28qYv9Vp8jS
UjHQZ/H/ib8m/34cVa63eKSyMpFNKEYHvwruclFKN/Ln2EtHOie+OO8PyzCbiLIg
RiT+Nq9NBaTO13DulhHEeCJJlg/UmG7BzPCYKkmRmPjBs4Wlq7jYooGlIIgOBtys
hWmET+Keq572RTAaWRnXU7QjRB7Aq+faDlCGcjBJ2wyJ2RX7wykmW7LmJ0nqK5Lq
TsTB3SZmEDf2NyS/quV/POs+ZDyhjDahEyXgjXSeKxX+p/67kTZYQhibiq3OmkKA
s62dV0XSsZ37DnsLzZrN
=KkHR
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 25 Sep 2012 07:26:32 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Arto Jantunen <viiru@debian.org> to control@bugs.debian.org. (Sun, 25 Nov 2012 09:54:03 GMT) Full text and rfc822 format available.

Marked as found in versions qt4-x11/4:4.8.2+dfsg-3 and reopened. Request was from Arto Jantunen <viiru@debian.org> to control@bugs.debian.org. (Sun, 25 Nov 2012 09:54:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#685524; Package qt4-x11. (Sun, 25 Nov 2012 10:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arto Jantunen <viiru@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 25 Nov 2012 10:15:03 GMT) Full text and rfc822 format available.

Message #74 received at 685524@bugs.debian.org (full text, mbox):

From: Arto Jantunen <viiru@debian.org>
To: 685524@bugs.debian.org
Subject: Reopen #685524
Date: Sun, 25 Nov 2012 12:11:33 +0200
The changelog for -3 includes "Add fix_jit_crash_on_x86_64.patch, which
avoids 32-bit branch offset overflows. Taken from upstream." This is
either the same patch that was removed in -2, or a new patch causing the
same symptoms. Here is a backtrace from lightdm-kde-greeter (I'm not
currently running kwin, but I assume it would crash the same way):

#0  __memcpy_ssse3 () at ../sysdeps/x86_64/multiarch/memcpy-ssse3.S:495
#1  0x00007ffff453f0cb in memcpy (__len=<optimized out>, 
    __src=<optimized out>, __dest=<optimized out>)
    at /usr/include/x86_64-linux-gnu/bits/string3.h:52
#2  executableCopy (allocator=0x7ffff7e6e960, this=<optimized out>)
    at ../3rdparty/javascriptcore/JavaScriptCore/assembler/AssemblerBuffer.h:139
#3  executableCopy (allocator=0x7ffff7e6e960, this=0x7fffffffd860)
    at ../3rdparty/javascriptcore/JavaScriptCore/assembler/X86Assembler.h:1885
#4  executableCopy (allocator=0x7ffff7e6e960, this=0x7fffffffd860)
    at ../3rdparty/javascriptcore/JavaScriptCore/assembler/X86Assembler.h:1583
#5  LinkBuffer (executablePool=..., masm=0x7fffffffd860, this=0x7fffffffd7d0)
    at ../3rdparty/javascriptcore/JavaScriptCore/assembler/LinkBuffer.h:67
#6  QTJSC::JIT::privateCompileCTIMachineTrampolines (this=0x7fffffffd860, 
    executablePool=0x7ffff7e689e8, globalData=<optimized out>, 
    ctiStringLengthTrampoline=0x7ffff7e689f0, 
    ctiVirtualCallLink=0x7ffff7e689f8, ctiVirtualCall=0x7ffff7e68a00, 
    ctiNativeCallThunk=0x7ffff7e68a08)
    at ../3rdparty/javascriptcore/JavaScriptCore/jit/JITOpcodes.cpp:1817
#7  0x00007ffff45547fc in QTJSC::JIT::compileCTIMachineTrampolines (
    globalData=0x7ffff7e67800, 
    executablePool=executablePool@entry=0x7ffff7e689e8, 
    ctiStringLengthTrampoline=ctiStringLengthTrampoline@entry=0x7ffff7e689f0, 
    ctiVirtualCallLink=ctiVirtualCallLink@entry=0x7ffff7e689f8, 
    ctiVirtualCall=ctiVirtualCall@entry=0x7ffff7e68a00, 
    ctiNativeCallThunk=ctiNativeCallThunk@entry=0x7ffff7e68a08)
    at ../3rdparty/javascriptcore/JavaScriptCore/jit/JIT.h:323
#8  0x00007ffff4550cb3 in QTJSC::JITThunks::JITThunks (this=0x7ffff7e689e8, 
    globalData=<optimized out>)
    at ../3rdparty/javascriptcore/JavaScriptCore/jit/JITStubs.cpp:768
#9  0x00007ffff459d738 in QTJSC::JSGlobalData::JSGlobalData (
    this=0x7ffff7e67800, isShared=<optimized out>)
    at ../3rdparty/javascriptcore/JavaScriptCore/runtime/JSGlobalData.cpp:146
#10 0x00007ffff459ddec in QTJSC::JSGlobalData::create ()
    at ../3rdparty/javascriptcore/JavaScriptCore/runtime/JSGlobalData.cpp:205
#11 0x00007ffff463e380 in QScriptEnginePrivate::QScriptEnginePrivate (
    this=0x7f75e0) at api/qscriptengine.cpp:979
#12 0x00007ffff463f376 in QScriptEngine::QScriptEngine (this=0x7eb3c8)
    at api/qscriptengine.cpp:1964
#13 0x00007ffff79ed51c in QDeclarativeScriptEngine::QDeclarativeScriptEngine (
    this=0x7eb3c8, priv=0x7eb2c0) at qml/qdeclarativeengine.cpp:382
#14 0x00007ffff79f23cf in QDeclarativeEnginePrivate::QDeclarativeEnginePrivate
    (this=0x7eb2c0, e=0x7f7b50) at qml/qdeclarativeengine.cpp:353
#15 0x00007ffff79f26b1 in QDeclarativeEngine::QDeclarativeEngine (
    this=0x7f7b50, parent=0x0) at qml/qdeclarativeengine.cpp:634
#16 0x00007ffff78f1746 in QDeclarativeViewPrivate::init (
    this=this@entry=0x7fbe40) at util/qdeclarativeview.cpp:281
#17 0x00007ffff78f1973 in QDeclarativeView::QDeclarativeView (this=0x7f80f0, 
    parent=0x0) at util/qdeclarativeview.cpp:261
#18 0x000000000040b1e7 in _start ()

As previously mentioned, this may be hardware dependent. One theory was
that the amount of physical memory has something to do with this, the
machine I'm seeing this on has 1gb. Testing in a vm with limited memory
may help in reproducing.

-- 
Arto Jantunen



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#685524; Package qt4-x11. (Mon, 26 Nov 2012 17:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 26 Nov 2012 17:15:03 GMT) Full text and rfc822 format available.

Message #79 received at 685524@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
To: Arto Jantunen <viiru@debian.org>, 685524@bugs.debian.org
Subject: Re: Bug#685524: Reopen #685524
Date: Mon, 26 Nov 2012 14:10:58 -0300
[Message part 1 (text/plain, inline)]
Control: tag -1 pending

On Sun 25 Nov 2012 07:11:33 Arto Jantunen escribió:
> The changelog for -3 includes "Add fix_jit_crash_on_x86_64.patch, which
> avoids 32-bit branch offset overflows. Taken from upstream." This is
> either the same patch that was removed in -2, or a new patch causing the
> same symptoms. Here is a backtrace from lightdm-kde-greeter (I'm not
> currently running kwin, but I assume it would crash the same way):

My bad, I added the patch to solve this but failed to add it in debian/series.

Thanks for noticing!

-- 
Without us [Free Software developers], people would study computer science
and programming without ever having seen a real program in its entirety.
That's like becoming writers without ever having read a complete book.
  Matthias Ettrich, founder of the KDE project.
  http://www.efytimes.com/efytimes/25412/news.htm

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to 685524-submit@bugs.debian.org. (Mon, 26 Nov 2012 17:15:03 GMT) Full text and rfc822 format available.

Reply sent to Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>:
You have taken responsibility. (Mon, 26 Nov 2012 18:39:03 GMT) Full text and rfc822 format available.

Notification sent to Arto Jantunen <viiru@debian.org>:
Bug acknowledged by developer. (Mon, 26 Nov 2012 18:39:03 GMT) Full text and rfc822 format available.

Message #86 received at 685524-close@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
To: 685524-close@bugs.debian.org
Subject: Bug#685524: fixed in qt4-x11 4:4.8.2+dfsg-4
Date: Mon, 26 Nov 2012 18:36:12 +0000
Source: qt4-x11
Source-Version: 4:4.8.2+dfsg-4

We believe that the bug you reported is fixed in the latest version of
qt4-x11, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 685524@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org> (supplier of updated qt4-x11 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 26 Nov 2012 14:08:14 -0300
Source: qt4-x11
Binary: libqtcore4 libqt4-core libqtgui4 libqt4-gui libqt4-network libqt4-opengl libqt4-script libqt4-scripttools libqt4-sql libqt4-sql-ibase libqt4-sql-mysql libqt4-sql-odbc libqt4-sql-psql libqt4-sql-sqlite libqt4-sql-sqlite2 libqt4-sql-tds libqt4-svg libqt4-webkit libqt4-xml libqt4-xmlpatterns libqt4-dbus libqt4-qt3support libqt4-designer libqt4-help libqt4-assistant libqt4-test libqt4-phonon libqt4-declarative libqt4-declarative-folderlistmodel libqt4-declarative-gestures libqt4-declarative-particles libqt4-declarative-shaders libqt4-dev libqt4-dev-bin libqt4-private-dev libqt4-opengl-dev libqt4-dbg libqt4-designer-dbg libqt4-qt3support-dbg libqt4-script-dbg libqt4-webkit-dbg libqt4-xmlpatterns-dbg qt4-bin-dbg qt4-demos-dbg qt4-designer qt4-dev-tools qt4-qmake qt4-qtconfig qt4-demos qt4-qmlviewer qt4-linguist-tools qdbus qt4-doc qt4-doc-html
Architecture: source amd64 all
Version: 4:4.8.2+dfsg-4
Distribution: unstable
Urgency: medium
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Description: 
 libqt4-assistant - transitional package for Qt 4 assistant module
 libqt4-core - transitional package for Qt 4 core non-GUI runtime libraries
 libqt4-dbg - Qt 4 library debugging symbols
 libqt4-dbus - Qt 4 D-Bus module
 libqt4-declarative - Qt 4 Declarative module
 libqt4-declarative-folderlistmodel - Qt 4 folderlistmodel QML plugin
 libqt4-declarative-gestures - Qt 4 gestures QML plugin
 libqt4-declarative-particles - Qt 4 particles QML plugin
 libqt4-declarative-shaders - Qt 4 shaders QML plugin
 libqt4-designer - Qt 4 designer module
 libqt4-designer-dbg - Qt 4 designer library debugging symbols
 libqt4-dev - Qt 4 development files
 libqt4-dev-bin - Qt 4 development programs
 libqt4-gui - transitional package for Qt 4 GUI runtime libraries
 libqt4-help - Qt 4 help module
 libqt4-network - Qt 4 network module
 libqt4-opengl - Qt 4 OpenGL module
 libqt4-opengl-dev - Qt 4 OpenGL library development files
 libqt4-phonon - Qt 4 Phonon module
 libqt4-private-dev - Qt 4 private development files
 libqt4-qt3support - Qt 3 compatibility library for Qt 4
 libqt4-qt3support-dbg - Qt 3 compatibility library for Qt 4 debugging symbols
 libqt4-script - Qt 4 script module
 libqt4-script-dbg - Qt 4 script library debugging symbols
 libqt4-scripttools - Qt 4 script tools module
 libqt4-sql - Qt 4 SQL module
 libqt4-sql-ibase - Qt 4 InterBase/FireBird database driver
 libqt4-sql-mysql - Qt 4 MySQL database driver
 libqt4-sql-odbc - Qt 4 ODBC database driver
 libqt4-sql-psql - Qt 4 PostgreSQL database driver
 libqt4-sql-sqlite - Qt 4 SQLite 3 database driver
 libqt4-sql-sqlite2 - Qt 4 SQLite 2 database driver
 libqt4-sql-tds - Qt 4 FreeTDS database driver
 libqt4-svg - Qt 4 SVG module
 libqt4-test - Qt 4 test module
 libqt4-webkit - transitional package for Qt 4 WebKit module
 libqt4-webkit-dbg - transitional package for Qt 4 WebKit debugging symbols
 libqt4-xml - Qt 4 XML module
 libqt4-xmlpatterns - Qt 4 XML patterns module
 libqt4-xmlpatterns-dbg - Qt 4 XML patterns library debugging symbols
 libqtcore4 - Qt 4 core module
 libqtgui4  - Qt 4 GUI module
 qdbus      - Qt 4 D-Bus tool
 qt4-bin-dbg - Qt 4 binaries debugging symbols
 qt4-demos  - Qt 4 examples and demos
 qt4-demos-dbg - Qt 4 examples and demos debugging symbols
 qt4-designer - graphical designer for Qt 4 applications
 qt4-dev-tools - Qt 4 development tools
 qt4-doc    - Qt 4 API documentation
 qt4-doc-html - Qt 4 API documentation (HTML format)
 qt4-linguist-tools - Qt 4 Linguist tools
 qt4-qmake  - Qt 4 qmake Makefile generator tool
 qt4-qmlviewer - Qt 4 QML viewer
 qt4-qtconfig - Qt 4 configuration tool
Closes: 685524
Changes: 
 qt4-x11 (4:4.8.2+dfsg-4) unstable; urgency=medium
 .
   * Really apply add_missing_map_noreserve.patch. Thanks Sune for noticing :)
     (Closes: #685524).
   * Release to unstable. Keep urgency medium because of the fix for the CRIME
     attack.
Checksums-Sha1: 
 cecd51e6c6edee49ba83245af5da273d8944e7a8 5707 qt4-x11_4.8.2+dfsg-4.dsc
 475418cd5ba10cba99a8bfbdaa940bdf358716b9 410543 qt4-x11_4.8.2+dfsg-4.debian.tar.gz
 2a6ba7ec692ad9c1f9221db748cf5edd88e957f4 2106956 libqtcore4_4.8.2+dfsg-4_amd64.deb
 a994db8a9d4160ec3ad56edf45811dbb05a1ba2f 44906 libqt4-core_4.8.2+dfsg-4_amd64.deb
 40385c7e468580db06767ed8898e75c8b46c4e58 4046610 libqtgui4_4.8.2+dfsg-4_amd64.deb
 f65b4a63f6cfc61f73b65cc8ab114f906c393069 44900 libqt4-gui_4.8.2+dfsg-4_amd64.deb
 9af3734c340de42c6305e16f658b3da299f0a925 567566 libqt4-network_4.8.2+dfsg-4_amd64.deb
 1482a20043a185d26fe56b73b1adb119e12d2f0c 335518 libqt4-opengl_4.8.2+dfsg-4_amd64.deb
 999e9022ca460e27c3d5c329fb9cbda9d2dc988f 812726 libqt4-script_4.8.2+dfsg-4_amd64.deb
 fabc4131e8576bb770b85b958457e90278db4622 255660 libqt4-scripttools_4.8.2+dfsg-4_amd64.deb
 ca8ccf41b7261db2ab5890039203c97032162fff 136110 libqt4-sql_4.8.2+dfsg-4_amd64.deb
 4d96ce01210136ba86cdfe96f98a48922f15fd4e 82816 libqt4-sql-ibase_4.8.2+dfsg-4_amd64.deb
 66ba9d1e1bb9b70f0affb5ee99495f68edf85510 69368 libqt4-sql-mysql_4.8.2+dfsg-4_amd64.deb
 bd870279cb8bf033a29f61341dffab1c9880309e 83162 libqt4-sql-odbc_4.8.2+dfsg-4_amd64.deb
 c6e6ce521431d2d21c91c44f46f37f7f44d73312 72446 libqt4-sql-psql_4.8.2+dfsg-4_amd64.deb
 6d0f8cc0c36bc857bb4db72a1fbc3b239db46609 62514 libqt4-sql-sqlite_4.8.2+dfsg-4_amd64.deb
 4f65b9e6d5902eb5f7efa938b6128f9ce5fb5c88 58106 libqt4-sql-sqlite2_4.8.2+dfsg-4_amd64.deb
 90fdbdbc34284556ef63d740b22e4b3afac718d8 63380 libqt4-sql-tds_4.8.2+dfsg-4_amd64.deb
 d773806afd61f56e8bcc854c955e5e77c84fc5f0 175682 libqt4-svg_4.8.2+dfsg-4_amd64.deb
 1c9bc37121e7b5e1a245f5f44aefef0828e6eef9 44874 libqt4-webkit_4.8.2+dfsg-4_amd64.deb
 a65a8df9931beba3260055f434a18c741f7fe9dd 130006 libqt4-xml_4.8.2+dfsg-4_amd64.deb
 304d0023e2d2cbc0bdd45dd5d5949d25e458da1c 1048154 libqt4-xmlpatterns_4.8.2+dfsg-4_amd64.deb
 488435e35a79dee08176d66bd694ef512c6acd59 218064 libqt4-dbus_4.8.2+dfsg-4_amd64.deb
 cfca99c915febcd6c465b6aaefbc9487faf06d9a 1069506 libqt4-qt3support_4.8.2+dfsg-4_amd64.deb
 4bcaaacf16fb42eb0889177272dcdf45275cc5ea 3643970 libqt4-designer_4.8.2+dfsg-4_amd64.deb
 99d1668ed7a2e5d6f7b2bac11cbc9dbbc50e00bd 237064 libqt4-help_4.8.2+dfsg-4_amd64.deb
 b8da9818bd5bf66ec6b22a56955cc35e8489ef24 44864 libqt4-assistant_4.8.2+dfsg-4_amd64.deb
 879c7bffaa2bcf6f7871d8bd78bf0d5573112565 99340 libqt4-test_4.8.2+dfsg-4_amd64.deb
 8bb580155d0d5811327399277debfd55317b6797 162254 libqt4-phonon_4.8.2+dfsg-4_amd64.deb
 b245c0c9c2fb31466989c5668406ac546ef14079 1104090 libqt4-declarative_4.8.2+dfsg-4_amd64.deb
 564da766b96962ff8284e1917fe9caef3fada86a 57176 libqt4-declarative-folderlistmodel_4.8.2+dfsg-4_amd64.deb
 11cf7cd88547d6222406b530c657fde69749a90f 59782 libqt4-declarative-gestures_4.8.2+dfsg-4_amd64.deb
 0d87d0a55434d8e86ea2f8b93dac9ae553274d6d 65272 libqt4-declarative-particles_4.8.2+dfsg-4_amd64.deb
 6fc84f417a944e80e655149bec61f8fc33330527 72988 libqt4-declarative-shaders_4.8.2+dfsg-4_amd64.deb
 e000b57505615e15bb55bf44173ae6aeaeef5a21 918578 libqt4-dev_4.8.2+dfsg-4_amd64.deb
 eef18eeabbcaf50d16f45c4363d6db39e6c7a5d1 1627892 libqt4-dev-bin_4.8.2+dfsg-4_amd64.deb
 ff3569176533110fbda9df71114c26a921c87e8a 608096 libqt4-private-dev_4.8.2+dfsg-4_amd64.deb
 efa8090e92bb1b1bc60b253fb59faa7b68ff89dd 61446 libqt4-opengl-dev_4.8.2+dfsg-4_amd64.deb
 f0f9db93832bb1ee5a41a13b401d4570d403448d 120295582 libqt4-dbg_4.8.2+dfsg-4_amd64.deb
 1c55a2ca0972cf4c456092a8c48468076ef5be51 42834690 libqt4-designer-dbg_4.8.2+dfsg-4_amd64.deb
 e7761f68a516a857141ca557bfe2a1b7c73385d5 14769198 libqt4-qt3support-dbg_4.8.2+dfsg-4_amd64.deb
 aaf94f5d54cbf31d931311f63b9cad198d254756 18767714 libqt4-script-dbg_4.8.2+dfsg-4_amd64.deb
 f6524ee39500c4a7c555de38cf31c1a855c2988e 44856 libqt4-webkit-dbg_4.8.2+dfsg-4_amd64.deb
 bdaf31f36bba7756668e49f01899f22d47a72241 29352598 libqt4-xmlpatterns-dbg_4.8.2+dfsg-4_amd64.deb
 2258330fa3421551087e1dcadbcd176633e8de6e 54533852 qt4-bin-dbg_4.8.2+dfsg-4_amd64.deb
 73f008d2256f6920cd598f2062ab347b0e82101c 115662262 qt4-demos-dbg_4.8.2+dfsg-4_amd64.deb
 202b7e2a2a352c41d0fff7f5709293c25f87bea2 383164 qt4-designer_4.8.2+dfsg-4_amd64.deb
 3adb7722775ea17e770353978a60c9a5f61d0022 3893866 qt4-dev-tools_4.8.2+dfsg-4_amd64.deb
 d626b7bcc084d960d1706eecf29d167b8159f50d 1266354 qt4-qmake_4.8.2+dfsg-4_amd64.deb
 eb8e400612009ba48bc899cce3047e81b323fa01 134052 qt4-qtconfig_4.8.2+dfsg-4_amd64.deb
 1b9f003e7fca54b418bb4863fe330464f92e4ea1 10059200 qt4-demos_4.8.2+dfsg-4_amd64.deb
 39d0f0866253b28df621a726ac20cdeb6b15fdd4 186786 qt4-qmlviewer_4.8.2+dfsg-4_amd64.deb
 d6f4c56c2e3eff9f3f6c6923f4c4908165c9b407 851172 qt4-linguist-tools_4.8.2+dfsg-4_amd64.deb
 38200234f2bf0a208d57b0b8788572437858b501 67918 qdbus_4.8.2+dfsg-4_amd64.deb
 840d93a3530afb6e4c4d32cb76c39495927187d1 95413994 qt4-doc_4.8.2+dfsg-4_all.deb
 aaad8bf492764d819f4e5d2dde0562a5dd5a6cbc 45714276 qt4-doc-html_4.8.2+dfsg-4_all.deb
Checksums-Sha256: 
 f2ca2bd21d2a4f10a81db43fc0ca8bce06c9ed30a630e0b1b0f3ad27100b3ce4 5707 qt4-x11_4.8.2+dfsg-4.dsc
 fbbe842428058724faad920e82d0ffe4ce9f29b432ccc714b74db99edf7eb712 410543 qt4-x11_4.8.2+dfsg-4.debian.tar.gz
 86c63d264dd06388c2cb3119947935125ad84abdfbf4a2238de96498f97a6743 2106956 libqtcore4_4.8.2+dfsg-4_amd64.deb
 c2ce5922bc93531dd0998cc722e2243a7575dc75496531258b51e4aea51bad3d 44906 libqt4-core_4.8.2+dfsg-4_amd64.deb
 12fa150bfa24a44d2b708101c2971e3dbccca44d28c89755abe776334f1299e2 4046610 libqtgui4_4.8.2+dfsg-4_amd64.deb
 50df1351e372a5a9e6e20b17e1d77b4a08d3556667b17bcdb33cfaf53df5e02f 44900 libqt4-gui_4.8.2+dfsg-4_amd64.deb
 20f81a2928076898d3b356fc619c2f67e813f78e9f71d1202b3e18b0e45bdf0a 567566 libqt4-network_4.8.2+dfsg-4_amd64.deb
 5fbf50dcb606b68491431907f2ce34308dc710784bbd42c4977b4112a702a524 335518 libqt4-opengl_4.8.2+dfsg-4_amd64.deb
 5796eeedff8007062c391e6c532604de47306bbb226898e0483e4f86e1b33c8e 812726 libqt4-script_4.8.2+dfsg-4_amd64.deb
 03e309493a9cb2528661cb73d502651b105c91a7cbc1f545bdf0f138f289ef5c 255660 libqt4-scripttools_4.8.2+dfsg-4_amd64.deb
 c1ddd6d86ef3c337df61f9d175a1229390ad6d4d30bc44c2fb6154cd6b3b091d 136110 libqt4-sql_4.8.2+dfsg-4_amd64.deb
 6da0830823acf17170c51f7712f6e611bd672ada20c08123200743954a546d09 82816 libqt4-sql-ibase_4.8.2+dfsg-4_amd64.deb
 2e00179d7bc27ff30681e03b692b47d2ec3dffa636bba660691281fc80de3516 69368 libqt4-sql-mysql_4.8.2+dfsg-4_amd64.deb
 72a610564f88e66ceb77f830472c737cc83f3d5d92b22bc2e48751c16c6eeeb8 83162 libqt4-sql-odbc_4.8.2+dfsg-4_amd64.deb
 a0adb6e9a4eeef1a37789d366cf61ed09e7d9fae5d36541bd2929c23665059b5 72446 libqt4-sql-psql_4.8.2+dfsg-4_amd64.deb
 f8216ecb395976ad31506b0e1705261cc53db04dcf489f374f7a5e4152b695c3 62514 libqt4-sql-sqlite_4.8.2+dfsg-4_amd64.deb
 2c81f98f36d6e8fb5cf5c556cef6f3b3b9fedcc9c552b383644b8f5918f4de63 58106 libqt4-sql-sqlite2_4.8.2+dfsg-4_amd64.deb
 91cea28f0d784c09ba19166545cc6e707ea3017834b2c87779fd5e7cc3d0be04 63380 libqt4-sql-tds_4.8.2+dfsg-4_amd64.deb
 3a7fe457ab0390ad905cf0ad26c837ec192e67f18eff7d40345ddadb2018639d 175682 libqt4-svg_4.8.2+dfsg-4_amd64.deb
 f59b6a51d064535e53ac434097d9c57f0642d86228312f725d78b88841e16e76 44874 libqt4-webkit_4.8.2+dfsg-4_amd64.deb
 62047a2d1c5b2ffadb17891f984cefe0e0bd5b61d0e551473bf0c679a67cd2ae 130006 libqt4-xml_4.8.2+dfsg-4_amd64.deb
 c783f15191d3f0752441dcf686269e1dbe7f31cfefaccd72ce4e95e80ca6e8f8 1048154 libqt4-xmlpatterns_4.8.2+dfsg-4_amd64.deb
 487b317a2d5560003cc55087062a238127df6953b8c28f10b3dbb4d520e3a989 218064 libqt4-dbus_4.8.2+dfsg-4_amd64.deb
 40e13d1275115fedeb608e7658f0530eead9242f19f517d38864472caebe3f7d 1069506 libqt4-qt3support_4.8.2+dfsg-4_amd64.deb
 c13582217b1bf681fae89364f53a8090602defb34c30511e61eedf76ab928a40 3643970 libqt4-designer_4.8.2+dfsg-4_amd64.deb
 b400584eb34fb1807df22a4dbbf01996639f5ca3b6216cc0c8feca37855bfb90 237064 libqt4-help_4.8.2+dfsg-4_amd64.deb
 ea3b11dcb10676af0a8c7be43561562be6b8e0e36fb09b090018283f7142969b 44864 libqt4-assistant_4.8.2+dfsg-4_amd64.deb
 eb6177d79e2c9760b5dc7ec1a24a26899e4618a8a790ff6616dd5d0acb6cdfe3 99340 libqt4-test_4.8.2+dfsg-4_amd64.deb
 c72a6230427487f7b1cd1750cc18464f9a5b47c701ec01cf635806280f4bca37 162254 libqt4-phonon_4.8.2+dfsg-4_amd64.deb
 4e809debead741c65bdfe1aad3b63371add679e3492a4b1d68d4a1ad46a960b5 1104090 libqt4-declarative_4.8.2+dfsg-4_amd64.deb
 3d7f4e4413a009268ee8b9923aa231b3ec9e7a49e920577e87441350b0d2ec0f 57176 libqt4-declarative-folderlistmodel_4.8.2+dfsg-4_amd64.deb
 7136a38728be5daa2b32d2de91601bacb78670fbc668e53621711f97dc12ab8c 59782 libqt4-declarative-gestures_4.8.2+dfsg-4_amd64.deb
 4c8d268249faa1d33fc497ccccc0da5e9293d470c51d30d46a6f97f6c6419387 65272 libqt4-declarative-particles_4.8.2+dfsg-4_amd64.deb
 3e403aaa09e1f4df385b094eab5f4448f79346aea87b27a2cdb86384814157bc 72988 libqt4-declarative-shaders_4.8.2+dfsg-4_amd64.deb
 25b078128b7d4cd8936688a877860134e470915c6dcb160c52fe895698b90544 918578 libqt4-dev_4.8.2+dfsg-4_amd64.deb
 71bd35f835a56762ae5baa6b4da5c3e428fb51404e211795b050337997f0447d 1627892 libqt4-dev-bin_4.8.2+dfsg-4_amd64.deb
 5ef24b311e4419253e604f2a3e4dcdb43c82da9721caf43b6fac6c0e01cd9d1d 608096 libqt4-private-dev_4.8.2+dfsg-4_amd64.deb
 84fc8a3eeb5b59d3a09ca323b444cc5e2d6ef690e5b17b1d1f5164dee89ce4ed 61446 libqt4-opengl-dev_4.8.2+dfsg-4_amd64.deb
 0829b329d6cefa3566b9cc9453e20f5db222878b0e590cab5b4b90ec5bafbe1c 120295582 libqt4-dbg_4.8.2+dfsg-4_amd64.deb
 cb5d492f6190b3a20e273470940ce6454f2d98d16238bc63aef639f604eb3a54 42834690 libqt4-designer-dbg_4.8.2+dfsg-4_amd64.deb
 ad7ebd547d1a6d918c9654b4222cffa84ffe43174ddb7027e292040c3618324c 14769198 libqt4-qt3support-dbg_4.8.2+dfsg-4_amd64.deb
 520535c6d55089db50aeb88df542a3ab4f09bcfc1f8bc45d1c8efd110c2a9a0f 18767714 libqt4-script-dbg_4.8.2+dfsg-4_amd64.deb
 cd9d70024bf5d5e98da106126e7cde14f58d568598e5c4542058ba83a0e8f03e 44856 libqt4-webkit-dbg_4.8.2+dfsg-4_amd64.deb
 71715a0ea027caf2d69ca31f940385f8cae7c9bc5dd09367607ff7c048babd3e 29352598 libqt4-xmlpatterns-dbg_4.8.2+dfsg-4_amd64.deb
 b453373b82b091f6cfb4c0bdd20fd18f0a697960a635768daa01789502d97a61 54533852 qt4-bin-dbg_4.8.2+dfsg-4_amd64.deb
 7d55f33f33bc5352f284f1074f14e92025050752a560545669fed9d12dc5baff 115662262 qt4-demos-dbg_4.8.2+dfsg-4_amd64.deb
 275fc3377c8523b2fd07ddf8c25c66c9017bcbc6640a6184dfa793f228e02677 383164 qt4-designer_4.8.2+dfsg-4_amd64.deb
 7068613b3299a02b2f45fbcdecd2d5dc38c2ff4e92182e98dac5491a49c64930 3893866 qt4-dev-tools_4.8.2+dfsg-4_amd64.deb
 eb8a228ef0598f02daabec6fe4366935b89013def88e1c8cad638e388f30e516 1266354 qt4-qmake_4.8.2+dfsg-4_amd64.deb
 91d91bf6629108e212e3e6bf722825cc841f386ec096e3a8381753b4c8c55fea 134052 qt4-qtconfig_4.8.2+dfsg-4_amd64.deb
 0fa15834c49ec22c1fc67ff373a39ada54001c1055baa62cc1bb10cf13a730cc 10059200 qt4-demos_4.8.2+dfsg-4_amd64.deb
 57146b2ab64096ed0b18acb0e871ccf8ad8cca12688a27faff3614466c1d3fb0 186786 qt4-qmlviewer_4.8.2+dfsg-4_amd64.deb
 269d43f896e14a9a28a89986c853a49c5a661d7931590980e0a6d197bc3ba44f 851172 qt4-linguist-tools_4.8.2+dfsg-4_amd64.deb
 e2e6dbeca067de09432d7547a20061cd6a2b524af74b85dbfa7ba94606f8932e 67918 qdbus_4.8.2+dfsg-4_amd64.deb
 61d483b3e51186f32e19d1ca5116ce70a2b6ba72f57621abce6905b355338c56 95413994 qt4-doc_4.8.2+dfsg-4_all.deb
 ef93ccdad74985672c9e45e8b2e384ad8e4959630a6842a07752c0e4f2b5e4cc 45714276 qt4-doc-html_4.8.2+dfsg-4_all.deb
Files: 
 2dac5807899a9cb2a23ab646babfd184 5707 libs optional qt4-x11_4.8.2+dfsg-4.dsc
 4d23e5ceb6597c6280b4419bebdbea54 410543 libs optional qt4-x11_4.8.2+dfsg-4.debian.tar.gz
 dca3a055e196b7ee47b441527e57556f 2106956 libs optional libqtcore4_4.8.2+dfsg-4_amd64.deb
 a66815549504325b4bb196c4efb3f16f 44906 oldlibs extra libqt4-core_4.8.2+dfsg-4_amd64.deb
 ef8b8fccf25d59f065515f0aae99d67b 4046610 libs optional libqtgui4_4.8.2+dfsg-4_amd64.deb
 5edf5ca82283cdfbb2339a680257827e 44900 oldlibs extra libqt4-gui_4.8.2+dfsg-4_amd64.deb
 e5bc6f016e6ad36a170f0de4e0377345 567566 libs optional libqt4-network_4.8.2+dfsg-4_amd64.deb
 38c72331e7f16376f6ea928601b3f601 335518 libs optional libqt4-opengl_4.8.2+dfsg-4_amd64.deb
 24631df47824aa4891d4cf1fb15811ab 812726 libs optional libqt4-script_4.8.2+dfsg-4_amd64.deb
 bf33f2a316b23b7527a41a6bb09abb3a 255660 libs optional libqt4-scripttools_4.8.2+dfsg-4_amd64.deb
 d4c7b2bb47c210d8e5a32976083e8844 136110 libs optional libqt4-sql_4.8.2+dfsg-4_amd64.deb
 d89cf6c72e4c8b1524378c634de013ee 82816 libs optional libqt4-sql-ibase_4.8.2+dfsg-4_amd64.deb
 28b4afe643a896b91b9a81ce672fc3f1 69368 libs optional libqt4-sql-mysql_4.8.2+dfsg-4_amd64.deb
 ea3c5da0721279d35c3cfe222c73d484 83162 libs optional libqt4-sql-odbc_4.8.2+dfsg-4_amd64.deb
 d63d6da20b272ce32eea492c66a0349f 72446 libs optional libqt4-sql-psql_4.8.2+dfsg-4_amd64.deb
 a2734c46d9bfa591a4cf85352b97743e 62514 libs optional libqt4-sql-sqlite_4.8.2+dfsg-4_amd64.deb
 64e8e3057fd7389d4e4ce8c5bd7e99c0 58106 libs optional libqt4-sql-sqlite2_4.8.2+dfsg-4_amd64.deb
 33f7a9b91b61a1dcd057093c073b127f 63380 libs optional libqt4-sql-tds_4.8.2+dfsg-4_amd64.deb
 ccec1f933c6f2a58f7a6ad57cf44e0b8 175682 libs optional libqt4-svg_4.8.2+dfsg-4_amd64.deb
 ac2c9d90962886c648e8423fe9f522e6 44874 oldlibs extra libqt4-webkit_4.8.2+dfsg-4_amd64.deb
 868bf46f3afcc03dd5598edd29858b16 130006 libs optional libqt4-xml_4.8.2+dfsg-4_amd64.deb
 af216ca24f160fdce8e84eb78cef4b32 1048154 libs optional libqt4-xmlpatterns_4.8.2+dfsg-4_amd64.deb
 9379773a2bb8abc011fab085fc8c9a00 218064 libs optional libqt4-dbus_4.8.2+dfsg-4_amd64.deb
 99c90069c177b38c40250bad1014ad45 1069506 libs optional libqt4-qt3support_4.8.2+dfsg-4_amd64.deb
 75446d7b39fbb01b5c6fab4980b157bb 3643970 libs optional libqt4-designer_4.8.2+dfsg-4_amd64.deb
 9bb39877e5f22d1e072b008a7576656e 237064 libs optional libqt4-help_4.8.2+dfsg-4_amd64.deb
 6e22a8c026d13ac02045bfe51e08ce25 44864 oldlibs extra libqt4-assistant_4.8.2+dfsg-4_amd64.deb
 8e0fd22f9ce81642e021d1a5e2ae13fe 99340 libs optional libqt4-test_4.8.2+dfsg-4_amd64.deb
 a00ccba5a81db31e47f2f1b57579453a 162254 libs optional libqt4-phonon_4.8.2+dfsg-4_amd64.deb
 6ca4855619b218fa432cb8cd3b0e85d7 1104090 libs optional libqt4-declarative_4.8.2+dfsg-4_amd64.deb
 62dc3713d2fcd2ec97c6da1fc082ad8b 57176 libs optional libqt4-declarative-folderlistmodel_4.8.2+dfsg-4_amd64.deb
 969468a5ff68921f6c3fdcb72010df11 59782 libs optional libqt4-declarative-gestures_4.8.2+dfsg-4_amd64.deb
 90fecd4cd0772240740101fab8542153 65272 libs optional libqt4-declarative-particles_4.8.2+dfsg-4_amd64.deb
 66ad111a6814732bdd6bb7867b3e03a9 72988 libs optional libqt4-declarative-shaders_4.8.2+dfsg-4_amd64.deb
 6420fc7b19a1c11bae269cccdb704289 918578 libdevel optional libqt4-dev_4.8.2+dfsg-4_amd64.deb
 4f7a17bd36eab963f11afc4881f12057 1627892 devel optional libqt4-dev-bin_4.8.2+dfsg-4_amd64.deb
 d01f31cdd204c15a55ba09ebaf2e0c47 608096 libdevel optional libqt4-private-dev_4.8.2+dfsg-4_amd64.deb
 66b96dd270d50d1050e590648a4a7624 61446 libdevel optional libqt4-opengl-dev_4.8.2+dfsg-4_amd64.deb
 608b8f8583a88c711cecaae7692ae78b 120295582 debug extra libqt4-dbg_4.8.2+dfsg-4_amd64.deb
 c08dfed395a52e67c7542c711c6c4f8b 42834690 debug extra libqt4-designer-dbg_4.8.2+dfsg-4_amd64.deb
 8a1ca0843208e4dfca99b4a1c58512ba 14769198 debug extra libqt4-qt3support-dbg_4.8.2+dfsg-4_amd64.deb
 f67fe310f64a245b686e7c97c46eba88 18767714 debug extra libqt4-script-dbg_4.8.2+dfsg-4_amd64.deb
 9b5e9542c1ae19e0aacf44f60144c27d 44856 oldlibs extra libqt4-webkit-dbg_4.8.2+dfsg-4_amd64.deb
 51dac440114a4748fe793129c4d4f8e1 29352598 debug extra libqt4-xmlpatterns-dbg_4.8.2+dfsg-4_amd64.deb
 befe80d3fd89c4be134f25957532eacd 54533852 debug extra qt4-bin-dbg_4.8.2+dfsg-4_amd64.deb
 28393d0766d897abe2a8ada6ec052c44 115662262 debug extra qt4-demos-dbg_4.8.2+dfsg-4_amd64.deb
 7fdba805bf5b37fb070408922a4108ba 383164 devel optional qt4-designer_4.8.2+dfsg-4_amd64.deb
 ce6417de5c9c569fca977596cee28b74 3893866 devel optional qt4-dev-tools_4.8.2+dfsg-4_amd64.deb
 700355fd2c695f28186ad36f8c400478 1266354 devel optional qt4-qmake_4.8.2+dfsg-4_amd64.deb
 8f08201572a1cc754d0df1527b561bcb 134052 x11 optional qt4-qtconfig_4.8.2+dfsg-4_amd64.deb
 645c80c57692612b59a1540721b6fa42 10059200 x11 optional qt4-demos_4.8.2+dfsg-4_amd64.deb
 22432992a9872a7001bf97241cae4654 186786 devel optional qt4-qmlviewer_4.8.2+dfsg-4_amd64.deb
 702b6060fc4a5adfa48eaf9cbdb8fbf7 851172 devel optional qt4-linguist-tools_4.8.2+dfsg-4_amd64.deb
 7fab4c2a8b1de096dcd0069730c7b23b 67918 utils optional qdbus_4.8.2+dfsg-4_amd64.deb
 912914425fb314aac668577ba3d6cc9d 95413994 doc optional qt4-doc_4.8.2+dfsg-4_all.deb
 43947e2e483e0ffe2073228c656b1f7b 45714276 doc optional qt4-doc-html_4.8.2+dfsg-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQs6+DAAoJEKtkX0BihqfQvgMP/jzNl+bfKmAJoeusSfyhXBsF
f/t2+zXb0rRhKPKEaNjHDM/00IzTVxNknfWbHJaiBzScAh2rOpPjRvIYLRhf+0kX
xqftbUrFoYkg9vaGI9DYKJels905sQz86CezujV1zdWrZaWqhCFHt521kWGZeFO2
I0SU998E6Jlih6c/Tl6NdW685QRiJ0TIm4piOAZj44WbzqMIUKaXP8wV45HBVFWO
rLtoytx9KHpLQBvN5/g7LKpD/0wLT35AR5OGTDd89JTlDLYPZIlxK9eAQkaKufah
e22088FcLfkloRGhAA2wg/sv9ET0Hy/SYP81R92OqGycfJzxziIChZcxBWXZh1Wi
CST7ryWIL32ww3p5OnFqEHxG4MxroUVYjwruyGGkZzBdDH1tVTzrC7uPpH3mguYM
uFzoV3UrS1r1kN6RL/KkPfIoVkny8B01eoNCASfWFxKPYZ56AC3HjhRzjmfPzuQm
kZAFxSrbD2dhOYA3nSKPZfkrbLaGm+4cHAEZsx3T3qIKbCJCKXmKLNNkaHuQSnuy
SYkwS48bHNWbHh6eV3vBEQRvaxKzGHNifrAFH+Cwa4Uqw3iatuN/7/Hm/WSUPclQ
olXpxqC/IbuLH8AwMvqqphKc5kXFIKDkiGSCTR/NvJM00aagmuupeg13j4TbP4FT
Fy+Yp4P6ri2EKCcZ0il7
=3DsF
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 25 Dec 2012 07:26:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:16:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.